const Global = require('Global');

cc.Class({
    extends: cc.Component,

    properties: {
        
    },

    // 这个是我在 IDE 中添加的事件方法
    onFinished(str) {
        console.log('动作完成', str);
    },

    // 按钮点击 执行动画 run
    clickRun() {
        this.animation.play('run');
    },

    // 按钮点击 执行动画 attack
    clickActtack() {
        this.animation.play('attack');
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start() {
        this.animation = this.node.getComponent(cc.Animation);
        let ani_attack = this.animation.getAnimationState('attack');
        console.log(this.animation, ani_attack);

        // animation 组件监听
        this.animation.on('lastframe', () => {
            console.log('执行 this.animation lastframe');
        });

        // 这里脚本添加事件回调不执行
        ani_attack.on(cc.Animation.EventType.FINISHED, function() {
            console.log('执行 finished');
        });

        // 这里脚本添加事件回调不执行
        ani_attack.on('lastframe', function () {
            console.log('执行 lastframe');
        });

        // ani_attack.on('finished', this.onFinished, this);
        
        this.animation.play('run');

        this.scheduleOnce(() => {
            this.animation.play('attack');
        }, 1);
    },

    // update (dt) {},
});
