
const Global = require('Global');
// const WeChat = require('WeChat');

cc.Class({
    extends: cc.Component,

    properties: {
        line: {
            default: null,
            type: cc.Node,
            displayName: '加载进度条'
        },
        text: {
            default: null,
            type: cc.Label,
            displayName: '加载文字'
        }
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        /** 进度条总宽度 */
        const W = this.line.width;
        /** 跳转的场景 */
        const NAME = 'Home';
        // 设置进度条宽度
        this.line.width = 0;

        cc.director.preloadScene(NAME, (count, total, item) => {
            // console.log(count, total);
            let val = count / total;
            // console.log(val);
            this.line.width = W * val;
            this.text.string = `加载中...（${Math.floor(val * 100)}%）`;
            if (val == 1) this.text.string = `完成（100%）`;
        }, () => {
            cc.log('预加载游戏场景成功');
            // cc.director.loadScene(NAME);
        }); 
    },

    // start () {},

    // update (dt) {},
});
